#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run zbot with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex:
    print(str(ex))
    os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zbot',
    version='36',
    url='https://pikacode.com/milla/zbot',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='zbot find text=mother From Subject Date',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural"],
    scripts=["bin/zbot", "bin/zbot-sed", ],
    packages=['zbot', 
              'zbot.plugs',
              'zbot.drivers',
             ],
    long_description = """ xmpp, irc, shell, cli, json 
                           - 
                           prototype master 1 

 milla@reppa:~/work/4$ zbot find log
{'log': 'it works !!'}
{'log': 'wat is er nood'}
{'log': 'blergh'}
{'log': 'no delay'}
{'log': 'wakker ?'}
{'log': 'dat kennen we al'}
{'date': 'Fri Jan 17 12:13:16 2014', 'ctime': 1389957196.080472, 'log': 'test1'}
{'date': 'Wed Jan 15 04:44:59 2014', 'ctime': 1389757499.3474746, 'log': 'monitor enabled'}
{'log': 'check gevraagd voor save naar backup'}
{'log': 'koffie'}
{'log': 'raam is open'}
{'date': '', 'ctime': 'Fri Jan 17 12:18:55 2014', 'added': 'Fri Jan 17 12:18:55 2014', 'log': 'bla1'}

""",
    data_files=[('doc', ["LICENSE", ]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Other Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Communications :: Email',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
